MP4(3)

NAME

MP4GetRtpPacketBFrame - Get the B frame flag of an RTP packet

SYNTAX

#include <mp4.h>

int8_t MP4GetRtpPacketBFrame(
    MP4FileHandle hFile,
    MP4TrackId hintTrackId,
    u_int16_t packetIndex
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

hintTrackId
    Specifies the hint track to which the operation applies.

packetIndex
    Specifies the packet to which the operation applies.

RETURN VALUES

Upon success, the state of the B frame flag for the specified packet. Upon an error, -1.

DESCRIPTION

MP4GetRtpPacketBFrame returns the state of the B Frame flag of an RTP packet. See MP4AddRtpHint for a description of this flag.

SEE ALSO

MP4(3) MP4AddRtpHint(3) MP4ReadRtpPacket(3)